{% extends 'base.html.twig' %}

{% block frame %}
    <noscript>
        <div class="noscript_message">{{ 'This Javascript requires Javascript to work without problems. Please enable Javascript in your browser.' | trans }}</div>
    </noscript>

    <div class="header">
        <div class="logo"></div>
        <div class="user_panel">
            <div>{{ 'You are logged in as' | trans ~ ' ' ~ app.user.name ~ ' ' ~ app.user.surname ~ '(' ~ app.user.username ~ ')' }}</div>
            <div><a href="{{ path('logout') }}" class="logout_button basic_button">{{ 'buttonlabel.logout' | trans }}</a></div>
        </div>
    </div>

    <nav class="main_menu">
        <a href="javascript: void(0)" class="project_selector">
            {% if app.user.preferredProject is null %}
                {{ 'Select project...' | trans }}
            {% else %}
                {{ app.user.preferredProject.name }}
            {% endif %}
        </a>
        <nav class="dropdown_menu" id="project_selector_menu">
            {% set available_projects = app.user.getAvailableProjects %}
            {% for project in available_projects %}
                <a href="{{ path('switch_project', {'projectID': project.id}) }}">{{ project.name }}</a>
            {% endfor %}
                <hr>
                <a href="{{ path('switch_project', {'projectID': 0}) }}">{{ 'Logout of project' | trans }}</a>
        </nav>

        {% if app.user.preferredProject in app.user.attendingProjects %}
            <a href="{{ path('employee') }}" {% if 'employee' in app.request.attributes.get('_route') %} class="selected" {% endif %} >{{ 'Employee' | trans }}</a>
        {% endif %}

        {% if app.user.preferredProject in app.user.supervisingProjects %}
            <a href="{{ path('supervisor') }}" {% if 'supervisor' in app.request.attributes.get('_route') %} class="selected" {% endif %} >{{ 'Supervisor' | trans }}</a>
        {% endif %}

        {% if is_granted('ROLE_ADMIN') %}
            <a href="{{ path('admin') }}" {% if 'admin' in app.request.attributes.get('_route') %} class="selected" {% endif %} %}>{{ 'Administrator' | trans }}</a>
        {% endif %}

        {% if is_granted('ROLE_ACCOUNTANT') %}
            <a href="{{ path('accountant') }}" {% if 'accountant' in app.request.attributes.get('_route') %} class="selected" {% endif %} %}>{{ 'Accountant' | trans }}</a>
        {% endif %}

        <a href="{{ path('settings') }}" {% if 'settings' in app.request.attributes.get('_route') %} class="selected" {% endif %} >{{ 'Settings' | trans }}</a>

    </nav>

    <div class="content">
        <div class="message_bag">
            {% for flash_message in app.session.flashBag.get('notice') %}
                <div class="flash_notice">
                    {{ flash_message }}
                </div>
            {% endfor %}

            {% for flash_message in app.session.flashBag.get('error') %}
                <div class="flash_error">
                    {{ flash_message }}
                </div>
            {% endfor %}

            {% for flash_message in app.session.flashBag.get('warning') %}
                <div class="flash_warning">
                    {{ flash_message }}
                </div>
            {% endfor %}
        </div>


        {% if return_path is defined %}
            <a href="{{ path(return_path) }}" class="back_button">
                {% if return_label is not defined %}
                    {# {{ 'Back' | trans }} #}
                {% else %}
                    {{ return_label }}
                {% endif %}
            </a>
        {% endif %}

        <div class="page_header">
            {% block page_header %}
            {% endblock %}
        </div>

        {% block top_content %}
        {% endblock %}

        <div class="middle_content">
            {% block body %}
            {% endblock %}
        </div>
    </div>
{% endblock %}